Home

# Class goog.ui.BidiInput

Default implementation of BidiInput.

extends goog.ui.Component

Instance Method Summary
| `createDom()` Creates the element for the text input.
| `decorateInternal(?Element element)` Decorates the given HTML element as a BidiInput. The HTML element must be an input element with type='text' or a textarea element. Overrides {@link goog.ui.Component#decorateInternal}. Considered protected.
| `disposeInternal()` Disposes of the component. Calls {@code exitDocument}, which is expected to remove event handlers and clean up the component. Propagates the call to the component's children, if any. Removes the component's DOM from the document unless it was decorated.
| `getDirection() ⇒ ?string` Returns the direction of the input element.
| `getValue() ⇒ string` Returns the value of the underlying input field.
| `init_()` Initializes the events and initial text direction. Called from either decorate or createDom, after the input field has been created.
| `setDirection_()` Set the direction of the input element based on the current value. This method is called when the user changes the input element value, or when a program changes the value using {@link goog.ui.BidiInput#setValue}
| `setValue(string value)` Sets the value of the underlying input field, and sets the direction according to the given value.